---
const { label, type } = Astro.props;
---

<button type={type}>
    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor">
        <path stroke-linecap="round" stroke-linejoin="round" d="M10.5 19.5L3 12m0 0l7.5-7.5M3 12h18" />
    </svg>

    <span>{label}</span>
</button>

<style>
    button {
        --hover-color: #8b5cf6;
        background-color: var(--primary-color);
        color: var(--white);
        display: inline-flex;
        align-items: center;
        border-radius: 4px;
        padding-inline: 20px;
        padding-block: 8px;
        font-weight: 500;
        max-inline-size: 300px;
        gap: 8px;
        transition: all .3s linear;
    }
    @media(prefers-color-scheme: dark) {
        button {
            background-color: var(--white);
            color: var(--primary-color);
        }
    }
    button:hover {
        background-color: var(--hover-color);
    }
    button > svg {
        flex-shrink: 0;
        inline-size: 1.5rem;
        block-size: 1.5rem;
    }
    button > span {
        text-align: left;
    }
</style>
